These are chat archives for Urigo/angular-meteor

2nd
Aug 2016
rwdietrich
@rwdietrich
Aug 02 2016 02:24
Hi again. I'm following the Angular2-Meteor tutorial and successfully got up to 8.9 InjectUser. Now I'm getting the following errors:
=> Started MongoDB. client/imports/parties-form/parties-form.ts (5, 10): Module '"node_modules/angular2-meteor-accounts-ui/build/index"' has no exported member 'RequireUser'. client/imports/parties-form/parties-form.ts (21, 10): Property 'partiesForm' does not exist on type 'PartiesForm'. client/imports/parties-form/parties-form.ts (29, 14): Property 'partiesForm' does not exist on type 'PartiesForm'. client/imports/parties-form/parties-form.ts (38, 24): Property 'partiesForm' does not exist on type 'PartiesForm'. client/imports/parties-form/parties-form.ts (39, 24): Property 'partiesForm' does not exist on type 'PartiesForm'. client/imports/parties-form/parties-form.ts (40, 24): Property 'partiesForm' does not exist on type 'PartiesForm'. client/imports/party-details/party-details.ts (6, 10): Module '"node_modules/angular2-meteor-accounts-ui/build/index"' has no exported member 'RequireUser'. => Started your app.
Suggestions to what I may have missed?
Cesar Galindo
@cesargalindo
Aug 02 2016 05:28
@rwdietrich Angular2 has been upgraded to router v3. The tutorials haven't been updated to reflect this. You'll need to integrate like this now.. https://angular.io/docs/ts/latest/guide/router.html
RequireUser is no longer supported, that's now accomplished through canActivate
Jayson Daquer
@ezwon
Aug 02 2016 06:46
Hi, anyone experiencing this issue? I've tried updating the socially app to use Meteor 1.4 and it seems to work fine, but at some point in tends to crash on this same error..
blob
rwdietrich
@rwdietrich
Aug 02 2016 06:51
Thanks for the pointer @cesargalindo. Back to the drawing board
Jayson Daquer
@ezwon
Aug 02 2016 06:54
PS: I'm not doing anything on the app.. I just leave it running
rwdietrich
@rwdietrich
Aug 02 2016 15:31
@jaysondaquer I saw the same thing, but only on Windows. The same code seems to work fine on Linux. Because of that and the issue I've run into with bcrypt, I can no longer run on Windows, only Linux.
Tally Barak
@Tallyb
Aug 02 2016 19:03
@jaysondaquer any chance the 1.4.01 is solving it?
Hongbo Miao
@Hongbo-Miao
Aug 02 2016 19:06
@cesargalindo just let know in case u missed it, the tutorial and socially demo updated to v3 router https://github.com/Urigo/meteor-angular2.0-socially/blob/master/package.json#L14
Cesar Galindo
@cesargalindo
Aug 02 2016 22:41
Thanks for clarifying @Hongbo-Miao, @rwdietrich, meteor-angular2.0 has been updated to v3 router, however the actual documentation/sample code still refers to v2 router.